Page MenuHomePhabricator

TimedMediaHandler should not add start-up scripts
Closed, ResolvedPublic

Description

Without TimedMediaHandler / MWEmbedSupport, the set of modules that loads in <head> (blocking the appearance of content) is limited to the core 'mediawiki' module and jQuery. With TimedMediaHandler / MWEmbedSupport, the modules "mw.MwEmbedSupport", "Spinner", "jquery.loadingSpinner", "jquery.triggerQueueCallback", and "jquery.mwEmbedUtil" are loaded as well.

The only reason I could discover for loading these scripts in <head> is to be able to insert HTML5 element shivs for IE<9.

  • These scripts shouldn't load at all on pages that do not contain timed media.
  • When they do load, they should be loaded in the bottom queue, like ordinary modules.
  • If the HTML5 shiv is necessary, it should be moved to a separate module which contains nothing extraneous and which is loaded only on the pages that need it.

Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54098
https://bugzilla.wikimedia.org/show_bug.cgi?id=59202
https://phabricator.wikimedia.org/T74675

Details

Reference
bz58085

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:24 AM
bzimport set Reference to bz58085.
ori created this task.Dec 6 2013, 7:50 AM
TheDJ updated the task description. (Show Details)Nov 29 2014, 11:56 AM
TheDJ set Security to None.
TheDJ added a subscriber: TheDJ.

I have some work in the following patches, but I'm sort of 'stuck' with upstream...
https://gerrit.wikimedia.org/r/#/c/172556/
https://gerrit.wikimedia.org/r/#/c/172421/

TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.Mar 21 2015, 4:35 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:46 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:46 PM
TheDJ closed this task as Resolved.Oct 20 2015, 11:48 AM
TheDJ claimed this task.

Fixed with the mentioned patches, now merged.